## Makefile.am of tdebase/tdeioslave/chm

INCLUDES = -I$(top_srcdir)/lib/widgets $(all_includes) 

kde_module_LTLIBRARIES = tdeio_chm.la libkchmpart.la

tdeio_chm_la_SOURCES = decompress.cpp chmfile.cpp chm.cpp
tdeio_chm_la_LIBADD = $(LIB_TDEIO)
tdeio_chm_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)

libkchmpart_la_SOURCES = kchmpart.cpp
libkchmpart_la_LIBADD = -ltdehtml $(LIB_TDEPARTS) $(top_builddir)/lib/widgets/libkdevwidgets.la
libkchmpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)

noinst_HEADERS = chm.h chmfile.h decompress.h kchmpart.h

kdelnk_DATA = chm.protocol kchmpart.desktop
kdelnkdir = $(kde_servicesdir)

METASOURCES = AUTO

